## libaws 2.10.2

=== debian/changelog ===
libaws (2.10.2-4) unstable; urgency=low

  * debian/rules (libaws-doc): also install the Makefiles of the examples.
  * debian/patches/demos.patch: restore upstream's makefiles.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  9 Apr 2012 21:32:25 +0200

libaws (2.10.2-3) unstable; urgency=low

  * debian/build_aws.gpr: work around a compiler bug on armel.
    Add Linker_Options that cause the tools to link against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 29 Feb 2012 21:33:36 +0100

libaws (2.10.2-2) unstable; urgency=low

  [Thomas Preud'homme]
  * Include files from directory "extended".  Closes: #660541.

  [Ludovic Brenta]
  * debian/aws.gpr: replace Library_Options (used when building the
    library) with Linker.Linker_Options (used when linking executables
    against the library) so that executables are linked against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Feb 2012 21:02:10 +0100

libaws (2.10.2-1) unstable; urgency=low

  [Xavier Grave]
  * debian/rules add get-orig-target with anonymous connection
  * debian/control (Build-Depends): gnat-4.6, libxmlada4.1-dev,
    libasis2010-dev, libtemplates-parser11.6-dev. Closes: #642640.
  * Refresh patches.
  * add lintian overrides for shlib-with-executable-stack warning
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * New upstream version (git revision
    d3e4f7dd9b732de6ccfd5b34a5421f3e778aafb1).
  * Package renamings pursuant to Debian Policy for Ada:
    libaws2.7-dev -> libaws2.10.2-dev
    libaws2.7     -> libaws2.10.2
  * debian/control (Depends): remove ada-compiler, see
    http://lists.debian.org/debian-ada/2011/12/msg00012.html
    (Build-Depends-Indep): new, move some build dependencies there.
    (Architecture): all.
    (Conflicts, Replaces): remove; unnecessary because gnat-4.4 and
    gnat-4.6 already conflict.
    (Standards-Version): 3.9.2.
  * debian/source/{format,options}: new; use 3.0 (quilt).
  * debian/rules: delegate patching and unpatching to dpkg-source.
    - Use gnatgcc, not gcc, to produce shared libraries.
    - (clean): cleanup documentation without using upstream's gpr files.
    - (build): make compatible with arch-dep-only and arch-indep-only
      builds (dpkg-buildpackage -B, -A).
  * debian/patches/aws_net_ssl_ads.patch: refresh.
  * debian/build_aws.gpr, debian/aws.gpr: turn into library project files.
  * debian/rules, debian/tools.gpr, debian/ada2wsdl.gpr: adjust accordingly.
  * debian/patches/socket_leaks_[12].patch: new; backport memory leak fixes
    from the main line.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 12 Feb 2012 22:54:04 +0100

libaws (2.7-4) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568439.
    (libaws2.7-dev): depend on gnat, ada-compiler in addition to gnat-4.4.
    (libaws2.7-dbg, libaws-doc): Suggest gnat, ada-compiler for better
    visibility in aptitude.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Jun 2010 23:10:56 +0200

libaws (2.7-3) unstable; urgency=medium

  * debian/control (Architecture): temporarily disable mips due to #566234.
  * Remove support for strong crypto again; restore debian/README.Debian
    with the symptoms of the bug.  Closes: #567813.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 23:44:00 +0100

libaws (2.7-2) unstable; urgency=low

  * debian/copyright: make machine-parseable.
  * debian/patches/GPL.patch: remove the special exception text from
    files where it was still present.
  * debian/{build_aws,aws,ada2wsdl,tools}.gpr:
    - adjust to libtemplates-parser11.5-dev (>= 11.5-2).  Closes: #564346.
    - Use GNU TLS for strong crypto, thanks to David Sauvage. Closes: #564282.
    - Pass --as-needed to the linker to only link against needed libraries.
  * debian/README.Debian: explain.
  * debian/control:
    - build-depend on libgnutls-dev.
    - tighten build-dependency to libtemplates-parser11.5-dev (>= 11.5-2).
    - (*-dev): suggest libjs-prototype.
  * debian/rules: explicitly link libaws.so against libgcrypt and liblber
    as it uses symbols from these libraries; this indirectly adds needed
    dependencies to the package.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 10 Jan 2010 15:09:25 +0100

libaws (2.7-1) unstable; urgency=low

  * New upstream release (Subversion version 149689).  Closes: #560677.
  * debian/control (Build-Depends): migrate to gnat-4.4, libxmlada3.2-dev,
    libasis2008-devlibtemplates-parser11.5-dev.
    (Architecture): remove alpha due to http://gcc.gnu.org/PR42073
    (libaws-dev): rename to libaws2.7-dev per Debian Policy for Ada, with
    Conflicts: and Replaces:.
    (libaws2.5): rename to libaws2.7.
  * debian/rules: extract aliversion and soversion from debian/control.
    (libaws-doc): exclude bundled, out-of-date and buggy JavaScript files
    from the package.  Users should use the ones provided by other Debian
    packages instead.  Fixes CVE-2008-7720 and closes: #555221, #555222.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Dec 2009 15:49:01 +0100

libaws (2.5-3) unstable; urgency=low

  * Rebuild with the .orig.tar.gz file in the parent directory, so as not
    to turn the package into a native one :(

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 22 Sep 2009 18:42:13 +0200

libaws (2.5-2) unstable; urgency=low

  * debian/control (Build-Depends): tighten dependencies and rebuild.
    Closes: #536949.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 Sep 2009 16:05:42 +0200

libaws (2.5-1) unstable; urgency=low

  * New upstream release (Subversion revision 125080).
  * Recompile against libasis (=2007-5).  Closes: #536949.
  * Move all patches to debian/patches and change them to -p1.
  * debian/control (Source-Version): bump to 3.8.3.
    (Architectures): add kfreebsd-amd64.
    (Depends): s/source:Version/binary:Version/g, except for dependencies

