## libaws 3.2.0

=== debian/changelog ===
libaws (3.2.0-4ubuntu1) xenial; urgency=medium

  * Build Ada files with -O1 on i386 to work around an ICE.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 14:44:40 +0100

libaws (3.2.0-4) unstable; urgency=medium

  [Peter Green <plugwash@p10link.net>]
  * Backport upstream commits building with gnutls3.4.4. Closes: 782801.
  * Tweak debian/rules to build wrappers.c when building with gnutls.

  [Nicolas Boulenguez]
  * Split -arch and -indep debhelper overrides. Closes: #806626.
  * Ensure deterministic timestamps in ALI and PDF files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Feb 2016 21:51:43 +0100

libaws (3.2.0-3) unstable; urgency=medium

  * Move source package to section libs, raise -bin and -doc binary packages
    to priority optional (copied from ftpmasters overrides).
    Raise run-time library to optional, because -bin depends on it.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 21:12:47 +0200

libaws (3.2.0-2) unstable; urgency=medium

  * Explicit link with pthread on archs triggering #760211 compiler bug.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 01:51:38 +0200

libaws (3.2.0-1) unstable; urgency=low

  * New upstream release built with gnat4.9. Closes: #749159, #755082, #715223.
    libasis2014-dev, libxmlada5-dev and libtemplates-parser11.8.2015-dev.
    Per Ada policy, library and -dev package versions change.
  * License is now GPL-3+. Repackage with Files-Excluded to remove
    minified Javascript in embedded documentation.
  * Build-Depend: GNUTLS >= 3 in libgnutls28-dev package.
  * Switch to debhelper 9, dh-ada-library, dh_sphinxdoc.
    -dev does not embed unselected implementations anymore.
    aws.gpr, trampoline lintian override, and many deps are now generated.
  * Ada and C inherit hardening *flags. No more unused/unavailable symbols.
  * control: Section: libs->libdevel. +Homepage. Lib and -dev now multiarch.
    Build-Depend: -quilt +sphinxdoc -gcrypt-dev, non virtual ldap-dev.
    Standards-Version: 3.9.5. +VCS-*. Uploaders +: myself.
  * copyright: machine-readable format 1.0.
  * Enable ldap source directory.
  * source.lintian-override: -dbg Depends -lib, but after substitutions.
  * Moved source/options -> source/local-options. Use default compression.
  * Minimal runtime test and watch file. PDF and doc-base registration.
  * Programming style guide now only available in PDF format.
  * Lower priority to extra because Depends: libldap2-dev.
  * Remove duplicate examples (Build-Depends: rdfind, symlinks).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 14 Sep 2014 14:43:40 +0200
