=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: libaws
-Priority: optional
+Priority: extra
 Section: libs
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Build-Depends: debhelper (>= 8.1.3), gnat, gnat-4.6, quilt, libldap2-dev,
- zlib1g-dev, libxmlada4.1-dev (>= 4.1), libasis2010-dev (>= 2010),
- libtemplates-parser11.6-dev (>= 11.6)
+Uploaders: Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+ gnat, gnat-4.9, dh-ada-library (>= 5.5),
+# dh-ada-library 5.5 corrects a problem when stripping tools.
+# for build_aws.gpr:
+ libgnutls28-dev,
+ libldap2-dev,
+ libtemplates-parser11.8.2015-dev,
+ libxmlada5-dev,
+ libz-dev,
+ pkg-config,
+# for dh_sphinxdoc
+ sphinx-common,
+# deduplication in debian/rules
+ rdfind, symlinks,
+# for ada2wsdl.gpr:
+ libasis2014-dev
 Build-Depends-Indep: texinfo,
- texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
-Standards-Version: 3.9.2
+ python-sphinx,
+# Called in rules for deterministic PDF timestamps.
+ faketime,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Standards-Version: 3.9.6
+Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaws
+Vcs-Mtn: www.ada-france.org org.debian.libaws
+Homepage: https://libre.adacore.com/libre
 
-Package: libaws2.10.2-dev
+Package: libaws3.2.0-dev
 Section: libdevel
 Architecture: any
-Depends: libaws2.10.2 (= ${binary:Version}), gnat, gnat-4.6,
- libldap2-dev, libtemplates-parser11.6-dev, libxmlada4.1-dev, zlib1g-dev,
- ${misc:Depends}
+Depends: ${misc:Depends},
+ libgnutls28-dev,
+ libldap2-dev,
+ libz-dev,
+ ${ada:Depends}
 Recommends: libaws-bin (= ${binary:Version}), libaws-doc (= ${source:Version})
 Suggests: libaws-dbg (= ${binary:Version}), libjs-prototype
 Description: Ada Web Server development files
@@ -57,6 +81,7 @@
 
 Package: libaws-bin
 Section: devel
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ada Web Server utilities
@@ -80,8 +105,8 @@
  wsdl2aws does the opposite job: it creates an Ada unit (spec and
  skeleton body) conforming to a specified description in WSDL.
 
-Package: libaws2.10.2
-Section: libs
+Package: libaws3.2.0
+Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -97,11 +122,11 @@
 
 Package: libaws-dbg
 Section: debug
-Priority: extra
 Architecture: any
-Depends: libaws2.10.2 (=${binary:Version}), ${misc:Depends}
-Recommends: libaws2.10.2-dev (=${binary:Version})
-Suggests: gnat
+Multi-Arch: same
+Depends: ${ada:Depends}, ${misc:Depends}
+Recommends: ${ada:Recommends}
+Suggests: ${ada:Suggests}
 Description: Debugging symbols for the Ada Web Server shared library
  AWS is a complete framework to develop Web based applications. The
  main part of the framework is the embedded Web server. This small yet
@@ -113,8 +138,9 @@
 
 Package: libaws-doc
 Section: doc
+Priority: optional
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada Web Server documentation
  AWS is a complete framework to develop Web based applications. The
