=== debian/tests/control ===
Tests: ada2wsdl hello-wsdl link-with-shared
