=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of this package. See debian/copyright for the URL.
